package com.ruoyi.set.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 七牛云设置对象 set_image_upload
 * 
 * @author LCL
 * @date 2023-07-10
 */
public class SetImageUpload extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 七牛云设置主键ID */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String accessKey;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String secretKey;

    /** 上传的空间名 */
    @Excel(name = "上传的空间名")
    private String bucketname;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String baseUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAccessKey(String accessKey) 
    {
        this.accessKey = accessKey;
    }

    public String getAccessKey() 
    {
        return accessKey;
    }
    public void setSecretKey(String secretKey) 
    {
        this.secretKey = secretKey;
    }

    public String getSecretKey() 
    {
        return secretKey;
    }
    public void setBucketname(String bucketname) 
    {
        this.bucketname = bucketname;
    }

    public String getBucketname() 
    {
        return bucketname;
    }
    public void setBaseUrl(String baseUrl) 
    {
        this.baseUrl = baseUrl;
    }

    public String getBaseUrl() 
    {
        return baseUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("accessKey", getAccessKey())
            .append("secretKey", getSecretKey())
            .append("bucketname", getBucketname())
            .append("baseUrl", getBaseUrl())
            .toString();
    }
}
